# FoundationClasses
TKernel
Standard

# Standard_Type Class Reference

The class <type> provides services to find out information
about a type defined in CDL.
.

`#include <Standard_Type.hxx>`

Inheritance diagram for Standard_Type:

[legend]

## Public Member Functions

Standard_EXPORT Standard_CString | Name () const
| Returns the type name of <me>. .
Standard_EXPORT Standard_Integer | Size () const
| Returns the size of <me> in bytes. .
Standard_EXPORT | Standard_Type (const Standard_CString aName, const Standard_Integer aSize)
| The constructor for a imported type. .
Standard_EXPORT | Standard_Type (const Standard_CString aName, const Standard_Integer aSize, const Standard_Integer aNumberOfParent, const Standard_Address aAncestors)
| The constructor for a primitive. .
Standard_EXPORT | Standard_Type (const Standard_CString aName, const Standard_Integer aSize, const Standard_Integer aNumberOfElement, const Standard_Integer aNumberOfParent, const Standard_Address anAncestors, const Standard_Address aElements)
| The constructor for an enumeration. .
Standard_EXPORT | Standard_Type (const Standard_CString aName, const Standard_Integer aSize, const Standard_Integer aNumberOfParent, const Standard_Address anAncestors, const Standard_Address aFields)
| The constructor for a class. .
Standard_EXPORT Standard_Boolean | SubType (const Handle(Standard_Type)&aOther) const
| Returns "True", if <me> is the same as <aother>, or inherits from <aother>. Note that multiple inheritance is not supported. .
Standard_EXPORT Standard_Boolean | SubType (const Standard_CString theName) const
| Returns "True", if <me> or one of its ancestors has the name equal to theName. Note that multiple inheritance is not supported. .
Standard_EXPORT Standard_Boolean | IsImported () const
| Returns "True", if the type is imported. .
Standard_EXPORT Standard_Boolean | IsPrimitive () const
| Returns "True", if the type is a primitive. .
Standard_EXPORT Standard_Boolean | IsEnumeration () const
| Returns "True", if the type is an "Enumeration". .
Standard_EXPORT Standard_Boolean | IsClass () const
| Returns "True", if the type is a "Class". .
Standard_EXPORT Standard_Integer | NumberOfParent () const
| Returns the number of direct parents of the class. .
Standard_EXPORT Standard_Integer | NumberOfAncestor () const
| Returns the number of ancestors of the class. .
Standard_EXPORT void | ShallowDump () const
| Prints the Information about type. .
Standard_EXPORT void | ShallowDump (Standard_OStream &S) const
| Prints the Information about type. .
Standard_EXPORT void | Print (Standard_OStream &s) const
| Prints on the stream <s> the name of Type. Warning: The operator "OStream& operator<< (Standard_OStream&, <br> Handle(Standard_Type)&)" is implemented. (This operator uses the method Print) .
Standard_EXPORT void | operator<< (Standard_OStream &s) const
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Private Member Functions

Standard_EXPORT Standard_Address | Ancestors () const
| Returns the address of the ancestors array. It can be used only by AncestorIterator. .
void | InLineDummy () const
| Just for inline. .

## Private Attributes

Standard_CString | myName
Standard_Integer | mySize
Standard_KindOfType | myKind
Standard_Integer | myNumberOfParent
Standard_Integer | myNumberOfAncestor
Standard_Address | myAncestors

## Constructor & Destructor Documentation

Standard_EXPORT Standard_Type::Standard_Type | ( | const Standard_CString | aName,
|  | const Standard_Integer | aSize
| ) |

Standard_EXPORT Standard_Type::Standard_Type | ( | const Standard_CString | aName,
|  | const Standard_Integer | aSize,
|  | const Standard_Integer | aNumberOfParent,
|  | const Standard_Address | aAncestors
| ) |

Standard_EXPORT Standard_Type::Standard_Type | ( | const Standard_CString | aName,
|  | const Standard_Integer | aSize,
|  | const Standard_Integer | aNumberOfElement,
|  | const Standard_Integer | aNumberOfParent,
|  | const Standard_Address | anAncestors,
|  | const Standard_Address | aElements
| ) |

Standard_EXPORT Standard_Type::Standard_Type | ( | const Standard_CString | aName,
|  | const Standard_Integer | aSize,
|  | const Standard_Integer | aNumberOfParent,
|  | const Standard_Address | anAncestors,
|  | const Standard_Address | aFields
| ) |

## Member Function Documentation

Standard_EXPORT Standard_Address Standard_Type::Ancestors | ( |  | ) | const`[private]`

Standard_EXPORT const Standard_Type::Handle | ( | Standard_Type |  | ) | const

void Standard_Type::InLineDummy | ( |  | ) | const`[inline, private]`

Standard_EXPORT Standard_Boolean Standard_Type::IsClass | ( |  | ) | const

Standard_EXPORT Standard_Boolean Standard_Type::IsEnumeration | ( |  | ) | const

Standard_EXPORT Standard_Boolean Standard_Type::IsImported | ( |  | ) | const

Standard_EXPORT Standard_Boolean Standard_Type::IsPrimitive | ( |  | ) | const

Standard_EXPORT Standard_CString Standard_Type::Name | ( |  | ) | const

Standard_EXPORT Standard_Integer Standard_Type::NumberOfAncestor | ( |  | ) | const

Standard_EXPORT Standard_Integer Standard_Type::NumberOfParent | ( |  | ) | const

Standard_EXPORT void Standard_Type::operator<< | ( | Standard_OStream & | s | ) | const`[inline]`

Standard_EXPORT void Standard_Type::Print | ( | Standard_OStream & | s | ) | const

Standard_EXPORT void Standard_Type::ShallowDump | ( | Standard_OStream & | S | ) | const`[virtual]`

| Reimplemented from Standard_Transient.

Standard_EXPORT void Standard_Type::ShallowDump | ( |  | ) | const

Standard_EXPORT Standard_Integer Standard_Type::Size | ( |  | ) | const

Standard_EXPORT Standard_Boolean Standard_Type::SubType | ( | const Standard_CString | theName | ) | const

Standard_EXPORT Standard_Boolean Standard_Type::SubType | ( | const Handle(Standard_Type)& | aOther | ) | const

## Field Documentation

Standard_Address Standard_Type::myAncestors `[private]`

Standard_KindOfType Standard_Type::myKind `[private]`

Standard_CString Standard_Type::myName `[private]`

Standard_Integer Standard_Type::myNumberOfAncestor `[private]`

Standard_Integer Standard_Type::myNumberOfParent `[private]`

Standard_Integer Standard_Type::mySize `[private]`

The documentation for this class was generated from the following files:

- Standard_Type.hxx
- Standard_Type.lxx